Package Details: ruby-sinatra 1.4.7-1

Git Clone URL: https://aur.archlinux.org/ruby-sinatra.git (read-only)
Package Base: ruby-sinatra
Description: Classy web-development dressed in a DSL
Upstream URL: http://www.sinatrarb.com/
Licenses: MIT
Submitter: kidoz
Maintainer: Loen
Last Packager: Loen
Votes: 18
Popularity: 0.192058
First Submitted: 2010-05-30 22:09
Last Updated: 2016-06-30 08:20

Latest Comments

manzo commented on 2016-04-22 18:18

Thanks for the package. BTW 1.4.7 has been released in January. Is there a update coming?

anatolik commented on 2015-03-03 22:21

Thanks. Here is more info about rubygems version operator tilda-wakka

https://robots.thoughtbot.com/rubys-pessimistic-operator

greyltc commented on 2015-03-03 22:20

I've put tilt-1 back. The latest version of tilt will work in the next release: https://github.com/sinatra/sinatra/pull/905

anatolik commented on 2015-03-03 21:54

version "1.4.1" matches needed requirement ">= 1.3.4, ~> 1.3"

greyltc commented on 2015-03-03 21:38

@anatolik, ruby-tilt-1 looks like version 1.4.1 to me, so even that is too new apparently.

anatolik commented on 2015-03-03 21:25

If you check dependency list for this gem https://rubygems.org/gems/sinatra you'll see that it requires "tilt >= 1.3.4, ~> 1.3", it matches tilt-1, but not tilt.

greyltc commented on 2015-03-03 21:17

I removed the dependency on an outdated version of tilt (ruby-tilt-1) and replaced it with the updated version of tilt. I'm not sure why that was there in the first place, let me know if this breaks anything. My testing shows no issues.

fnord0 commented on 2013-10-24 16:58

1.4.4 is out, marking package as out-of-date

only 2 things that should need changed are pkgver + md5sums ::

pkgver=1.4.4
md5sums=('9dcf732bfbc048daa38ed316e256cbfb')

dmikalova commented on 2013-06-21 19:39

Ruby provides rubygems, and if ruby isn't installed first then this doesn't build.

fnord0 commented on 2012-07-19 15:18

1.3.2 is out, marking package as out-of-date. here is a patch ;;

--- ruby-sinatra/PKGBUILD 2012-02-25 14:00:11.000000000 -0800
+++ ../PKGBUILD 2012-07-19 08:15:13.744438871 -0700
@@ -1,7 +1,7 @@
# Contributor: Alexsandr Pavlov <kidoz at mail dot ru>
pkgname=ruby-sinatra
_gemname=${pkgname#ruby-}
-pkgver=1.3.1
+pkgver=1.3.2
pkgrel=2
pkgdesc="Classy web-development dressed in a DSL."
arch=('any')
@@ -10,7 +10,7 @@
depends=('ruby' 'rubygems' 'ruby-rack' 'ruby-rack-protection' 'ruby-tilt')
source=(http://rubygems.org/downloads/${_gemname}-${pkgver}.gem)
noextract=(${_gemname}-${pkgver}.gem)
-md5sums=('75a14121388fe53a10dadfa150e037e8')
+md5sums=('1d325d1317f46e3c6f57320f53178c3b')

build() {
cd "${srcdir}"

All comments